libFS6-32bit-1.0.8-1.1.x86_64.rpm


Advertisement

Description

libFS6-32bit - X Font Service client library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libFS6-32bit-1.0.8-1.1.x86_64.rpm
Package name libFS6-32bit
Package version 1.0.8
Package release 1.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://xorg.freedesktop.org/
License MIT
Maintainer -
Download size 29.68 KB
Installed size 53.96 KB
This library is used by clients of X Font Servers (xfs), such as
xfsinfo, xfslsfonts, and the X servers themselves.

Alternatives

Package Version Architecture Repository
libFS6-32bit - - -

Requires

Name Value
libc.so.6(GLIBC_2.28) -

Provides

Name Value
libFS.so.6 -
libFS6-32bit = 1.0.8-1.1
libFS6-32bit(x86-32) = 1.0.8-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libFS6-32bit-1.0.8-1.1.x86_64.rpm
Source Package libFS-1.0.8-1.1.src.rpm

Install Howto

Install libFS6-32bit rpm package:

# zypper install libFS6-32bit

Files

Path
/usr/lib/libFS.so.6
/usr/lib/libFS.so.6.0.0

Changelog

2019-03-11 - Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.8
* autogen: add default patch prefix
* autogen.sh: use quoted string variables
* autogen.sh: use exec instead of waiting for configure to finish
* Fix sign comparison warning in loop index in FSListFontsWithXInfo
* Fix sign comparison warning in loop index in FSListCatalogues
* Fix sign comparison warning in loop indexes in FSQueryXBitmaps{8,16}
* Fix sign comparison warning in loop indexes in FSQueryXExtents{8,16}
* Fix sign comparison warning in loop index in FSQueryXInfo
* Don't try to send strings larger than protocol allows in requests
* Update configure.ac bug URL for gitlab migration
* Update README for gitlab migration
2015-05-04 - sndirsch@suse.com
- Update to version 1.0.7
* Constify pattern argument to FSListCatalogues
* Constify some more strings in API arguments
* Fix some sign/size conversion warnings from clang
* Fix typos & wording issues in source comments
* Remove unneeded checks for #ifndef X_NOT_POSIX
* Use 'imdent' to realign cpp indentation levels in FSlibos.h
2014-05-07 - sndirsch@suse.com
- Update to version 1.0.6
* This minor maintenance release includes fixes for libxtrans 1.3
compatibility, removal of dead code, and cleanups of issues
found by static analyzers.
- supersedes U_fix_build_with_xtrans_1.3.patch
2013-11-03 - tobias.johannes.klausmann@mni.thm.de
- Added U_fix_build_with_xtrans_1.3.patch
2013-05-29 - tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.5:
This minor bugfix release includes the fix for the security issue recently
reported as CVE-2013-1996, as well as a number of other cleanups of the
memory allocation & error handling code noticed while working on that.
- Packaging changes:
+ Remove upstreamed patch: U_prototype_error.patch
Included in this release
2013-02-17 - jengelh@inai.de
- Use more robust make install call
2012-07-13 - tobias.johannes.klausmann@mni.thm.de
- Added U_prototype_error.patch
+ Upstream fix for a prototype
2012-04-11 - vuntz@opensuse.org
- Update to version 1.0.4:
+ Fixs a pile of issues found by static analysis & compiler
warnings
+ Cleanup the library's exported symbol list
+ Build configuration improvements
2012-02-07 - jengelh@medozas.de
- Split xorg-x11-libs into separate packages

See Also

Package Description
libGIMPACTUtils2_86-2.86.1-1.4.i586.rpm Bullet GIMPACT Utils Library
libGIMPACTUtils2_86-2.86.1-1.4.x86_64.rpm Bullet GIMPACT Utils Library
libGLC-devel-0.7.2-2.10.i586.rpm QuesoGLC Development Files
libGLC-devel-0.7.2-2.10.x86_64.rpm QuesoGLC Development Files
libGLC0-0.7.2-2.10.i586.rpm Free OpenGL Character Renderer
libGLC0-0.7.2-2.10.x86_64.rpm Free OpenGL Character Renderer
libGLEW2_1-2.1.0-1.4.i586.rpm OpenGL Extension Wrangler Library
libGLEW2_1-2.1.0-1.4.x86_64.rpm OpenGL Extension Wrangler Library
libGLEW2_1-32bit-2.1.0-1.4.x86_64.rpm OpenGL Extension Wrangler Library
libGLU1-32bit-9.0.0-13.4.x86_64.rpm OpenGL utility library
libGLU1-9.0.0-13.4.i586.rpm OpenGL utility library
libGLU1-9.0.0-13.4.x86_64.rpm OpenGL utility library
libGLw-devel-8.0.0-4.3.i586.rpm Includes and more to develop MesaGLw applications
libGLw-devel-8.0.0-4.3.x86_64.rpm Includes and more to develop MesaGLw applications
libGLw1-32bit-8.0.0-4.3.x86_64.rpm Xt OpenGL drawing area widget library
Advertisement
Advertisement